Debian Bug report logs - #634646
xemacs21: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:xemacs21; Maintainer for src:xemacs21 is Mark Brown <broonie@debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Tue, 19 Jul 2011 09:22:21 UTC

Severity: serious

Tags: experimental, patch, sid, wheezy

Found in version xemacs21/21.4.22-3.1

Fixed in version xemacs21/21.4.22-3.2

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#634646; Package src:xemacs21. (Tue, 19 Jul 2011 09:22:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to OHURA Makoto <ohura@debian.org>. (Tue, 19 Jul 2011 09:22:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: xemacs21: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Tue, 19 Jul 2011 11:20:10 +0200
Source: xemacs21
Version: 21.4.22-3.1
Severity: important

Hello Makoto,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update xemacs21 to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

xemacs21 	:Build-Depends: libjpeg62-dev 

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 21:22:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#634646; Package src:xemacs21. (Thu, 10 Nov 2011 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. (Thu, 10 Nov 2011 12:06:13 GMT) Full text and rfc822 format available.

Message #12 received at 634646@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 634646@bugs.debian.org
Subject: xemacs21: diff for NMU version 21.4.22-3.2
Date: Thu, 10 Nov 2011 13:03:04 +0100
[Message part 1 (text/plain, inline)]
tags 634646 + patch
thanks

Dear maintainer,

I've prepared an NMU for xemacs21 (versioned as 21.4.22-3.2). The diff
is attached to this message.

Regards.
[xemacs21-21.4.22-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 12:06:33 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Thu, 10 Nov 2011 15:21:04 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Thu, 10 Nov 2011 15:21:05 GMT) Full text and rfc822 format available.

Message #19 received at 634646-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 634646-close@bugs.debian.org
Subject: Bug#634646: fixed in xemacs21 21.4.22-3.2
Date: Thu, 10 Nov 2011 15:19:15 +0000
Source: xemacs21
Source-Version: 21.4.22-3.2

We believe that the bug you reported is fixed in the latest version of
xemacs21, which is due to be installed in the Debian FTP archive:

xemacs21-bin_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-bin_21.4.22-3.2_amd64.deb
xemacs21-gnome-mule-canna-wnn_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-gnome-mule-canna-wnn_21.4.22-3.2_amd64.deb
xemacs21-gnome-mule_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-gnome-mule_21.4.22-3.2_amd64.deb
xemacs21-gnome-nomule_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-gnome-nomule_21.4.22-3.2_amd64.deb
xemacs21-mule-canna-wnn_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-mule-canna-wnn_21.4.22-3.2_amd64.deb
xemacs21-mule_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-mule_21.4.22-3.2_amd64.deb
xemacs21-nomule_21.4.22-3.2_amd64.deb
  to main/x/xemacs21/xemacs21-nomule_21.4.22-3.2_amd64.deb
xemacs21-support_21.4.22-3.2_all.deb
  to main/x/xemacs21/xemacs21-support_21.4.22-3.2_all.deb
xemacs21-supportel_21.4.22-3.2_all.deb
  to main/x/xemacs21/xemacs21-supportel_21.4.22-3.2_all.deb
xemacs21_21.4.22-3.2.diff.gz
  to main/x/xemacs21/xemacs21_21.4.22-3.2.diff.gz
xemacs21_21.4.22-3.2.dsc
  to main/x/xemacs21/xemacs21_21.4.22-3.2.dsc
xemacs21_21.4.22-3.2_all.deb
  to main/x/xemacs21/xemacs21_21.4.22-3.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634646@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated xemacs21 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Nov 2011 15:10:05 +0100
Source: xemacs21
Binary: xemacs21 xemacs21-mule xemacs21-nomule xemacs21-mule-canna-wnn xemacs21-bin xemacs21-support xemacs21-supportel xemacs21-gnome-mule xemacs21-gnome-nomule xemacs21-gnome-mule-canna-wnn
Architecture: source all amd64
Version: 21.4.22-3.2
Distribution: unstable
Urgency: low
Maintainer: OHURA Makoto <ohura@debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 xemacs21   - highly customizable text editor
 xemacs21-bin - highly customizable text editor -- support binaries
 xemacs21-gnome-mule - highly customizable text editor -- transitional package
 xemacs21-gnome-mule-canna-wnn - highly customizable text editor -- transitional package
 xemacs21-gnome-nomule - highly customizable text editor -- transitional package
 xemacs21-mule - highly customizable text editor -- Mule binary
 xemacs21-mule-canna-wnn - highly customizable text editor -- Mule binary compiled with Cann
 xemacs21-nomule - highly customizable text editor -- Non-mule binary
 xemacs21-support - highly customizable text editor -- architecture independent suppo
 xemacs21-supportel - highly customizable text editor -- non-required library files
Closes: 634646
Changes: 
 xemacs21 (21.4.22-3.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Build-Depend on libjpeg-dev instead of libjpeg62-dev (Closes:
     #634646)
   * Add lintian overrides to xemacs21-support to get the NMU trough the
     FTP-Master rejects.
Checksums-Sha1: 
 a0cfd36b0084e605519099353853b761219d1c7b 2454 xemacs21_21.4.22-3.2.dsc
 24123ee573281eec8e7e056f3921e6ab5d8ff0b7 54246 xemacs21_21.4.22-3.2.diff.gz
 32d81fac432c912cbad7b51163e269d433422862 15916 xemacs21_21.4.22-3.2_all.deb
 ccc3a307037efbf113a99f030682e01cd82de5a7 1304076 xemacs21-supportel_21.4.22-3.2_all.deb
 404c7b55ce9b7591e7dbff3b553e1823e420c594 4710566 xemacs21-support_21.4.22-3.2_all.deb
 af017df7f4060a71e03e15edb5972b3eaa8a42ae 2139196 xemacs21-nomule_21.4.22-3.2_amd64.deb
 226f72fabfdda88de19c33a36af60544ba22c53e 2373534 xemacs21-mule_21.4.22-3.2_amd64.deb
 625777406f81edcd60929c630817f4a4caed2f64 2478650 xemacs21-mule-canna-wnn_21.4.22-3.2_amd64.deb
 2c581c7119d1e35bd92a0685fa6f7551127a6406 896 xemacs21-gnome-nomule_21.4.22-3.2_amd64.deb
 4c41330ce5f1bd7ffe74ff31a3f29e26b9928f5f 898 xemacs21-gnome-mule_21.4.22-3.2_amd64.deb
 1606926fc5d1387451b95c8c51c01e8ba8b6f49d 908 xemacs21-gnome-mule-canna-wnn_21.4.22-3.2_amd64.deb
 ccb70afcec8ac3dcabf6b2ea98ee4f9fc3131035 536772 xemacs21-bin_21.4.22-3.2_amd64.deb
Checksums-Sha256: 
 9a3ea76c0b848030dac2c7cdfe335f24dbb2940d99333b96821eb3468bf05c24 2454 xemacs21_21.4.22-3.2.dsc
 d9848568f4d80275bb5360639d90cbe60a3dd538e9319d252a5ee6f6e9d98179 54246 xemacs21_21.4.22-3.2.diff.gz
 0e8c8ec6e2c191ef534e116ee04e3eb717ed9b1e84b49ebf8794f9681a8cd19d 15916 xemacs21_21.4.22-3.2_all.deb
 b582757093658ed51bce1ff8bfc5fc3e93832dd29f28b2fbb7d5c71c111106da 1304076 xemacs21-supportel_21.4.22-3.2_all.deb
 85c879cb3ca8e34182870815eedb181175f63f775a09e2bc04c26e0615b48daf 4710566 xemacs21-support_21.4.22-3.2_all.deb
 28f9b499a9547b048ba42bbc043ad6dd2f5dfc50ac6401566f74433dd37cc09b 2139196 xemacs21-nomule_21.4.22-3.2_amd64.deb
 0f13c317f3dfcdfcb110f598c05ef6f74bda45cb94acc10e69ec27a3bf2ad688 2373534 xemacs21-mule_21.4.22-3.2_amd64.deb
 77dc816f0469e90a94df933ce83c9107c89e73239277068112a96bcf776e50c1 2478650 xemacs21-mule-canna-wnn_21.4.22-3.2_amd64.deb
 72351f1621f27cf3b99bc97846dfb3dc11b06e1cf7e429679bad44656e5cb9f0 896 xemacs21-gnome-nomule_21.4.22-3.2_amd64.deb
 760c848d35f7f45f5b05ad56edac1569ea7bbeb006b9a46be613cec90a384c66 898 xemacs21-gnome-mule_21.4.22-3.2_amd64.deb
 ead947739d0f5065eabdec0f0f504a0018403ef5d2dc13042df475761e39936a 908 xemacs21-gnome-mule-canna-wnn_21.4.22-3.2_amd64.deb
 b5a8ba7950dfb9d7952416f7e83507534ae2ff7ecc07f3c876bde1bb51cb1af5 536772 xemacs21-bin_21.4.22-3.2_amd64.deb
Files: 
 7eb8d3cc2d5ef98a57abd3eb53c7b841 2454 editors optional xemacs21_21.4.22-3.2.dsc
 6b6cb5da62196847351a77215b0cb380 54246 editors optional xemacs21_21.4.22-3.2.diff.gz
 0b5fd3aef182a783759a160eaee369cc 15916 editors optional xemacs21_21.4.22-3.2_all.deb
 1ca416a6302af02ea99645b009916652 1304076 editors optional xemacs21-supportel_21.4.22-3.2_all.deb
 d9deac9203d9f298f4323e3f3dce88fa 4710566 editors optional xemacs21-support_21.4.22-3.2_all.deb
 a88c3133ac984b58e0b356565c0f0798 2139196 editors optional xemacs21-nomule_21.4.22-3.2_amd64.deb
 49da93c0d8df0b65bcd744bd62679205 2373534 editors optional xemacs21-mule_21.4.22-3.2_amd64.deb
 a2252f51fcb08158d3865c94e13e3483 2478650 editors optional xemacs21-mule-canna-wnn_21.4.22-3.2_amd64.deb
 cdd0754992a97232da138bfc0a6b3330 896 gnome optional xemacs21-gnome-nomule_21.4.22-3.2_amd64.deb
 9098a0b4c21031b54f6c5aef970d4729 898 gnome optional xemacs21-gnome-mule_21.4.22-3.2_amd64.deb
 ce5f82b35cf26cdefa6dedb8f8163985 908 gnome optional xemacs21-gnome-mule-canna-wnn_21.4.22-3.2_amd64.deb
 87a6e537687bc2d4ff32795033c53f90 536772 editors optional xemacs21-bin_21.4.22-3.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOu+ltAAoJEIvPpx7KFjRVXU0L/R347rAgXD2AOpqHzbm+FVNT
KgRtS1h9mvfFBwaKRWYNCmnFS0AvwWQaTIBOiSb4aUpcFypPpCaxTF2lXm4VXeT+
qAAin5k6A4o3eCmWPMX87YBLwpkQSxeOCL1fmlZBhUYfInlyCQngyqXnY/63oE9y
zfLj0lyDRk1qwMGgyqYtSa7EVfp+6BaOort4m9SVnybztp/gudN2iazprIippReA
O1IZ6/YFBG4Dm/BPGcGTGTMKd1TxJPXTF9uZBzF0HoMvCZ9UiYYRiA81reaJ/Qys
1+INPtvkuvGZwwmqcBPqxuUVTMfxEZIv5p4Y08x4P1wPrtKWOvTAjhzQMQY1N8Qn
4TSVUXyNpb4OxEVixacFwy3KYaU5Lp8yS/DN84za7xDAsWsIPCVK2aGy3CyU0N1u
oITf5gtqrxaT9O9gKLPAhpbBXiKeE2yWHuMK5+7MwDBwl3dBFXiu8lLmHLAxz7Vv
H+GoroWLmzQErL7kxn3zB0zB6NPMh9DNdbIDL26kGQ==
=5deO
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#634646; Package src:xemacs21. (Thu, 10 Nov 2011 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. (Thu, 10 Nov 2011 15:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 634646@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 634646@bugs.debian.org
Subject: xemacs21: diff for NMU version 21.4.22-3.2
Date: Thu, 10 Nov 2011 16:21:03 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

As you know, I have prepared an NMU for xemacs21 (versioned as 21.4.22-3.2).
The new diff is attached to this message (as I had to add a lintian override
for the upload to succeed).

Regards,

OdyX
[xemacs21-21.4.22-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) sid, wheezy, and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 23 Jan 2012 11:46:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:28:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:10:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.